Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.net.protocol.rmi
Class URLConnectionForRMI

    java.lang.Object
      |
      +--java.net.URLConnection
            |
            +--com.ibm.net.protocol.rmi.URLConnectionForRMI

public class URLConnectionForRMI
extends java.net.URLConnection

An instance of this class creates a communication link between an application and an atp server.

Version:
  1.10 $Date: 2001/07/28 06:34:15 $
Author:
  Mitsuru Oshima

Field Summary
`protected static boolean` | `verbose`

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`URLConnectionForRMI(java.net.URL url)` Create a new instance of this class.

Method Summary
`void` | `connect()` Make a comminucation link with the destination.
`java.lang.String` | `getHeaderField(java.lang.String key)`
`java.lang.String` | `getHeaderField(java.lang.String key, java.lang.String defValue)`
`java.io.InputStream` | `getInputStream()` Get an input stream of the communication link.
`java.lang.String` | `getRequestProperty(java.lang.String key)`
`void` | `setRequestProperty(java.lang.String key, java.lang.String value)`

Methods inherited from class java.net.URLConnection
`getAllowUserInteraction, getContent, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getIfModifiedSince, getLastModified, getOutputStream, getPermission, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### verbose

    protected static boolean verbose

Constructor Detail

### URLConnectionForRMI

    public URLConnectionForRMI(java.net.URL url)
                        throws java.io.IOException

  Create a new instance of this class.
  Parameters:
    `url` - a destination URL to which the application connects. The protocol is "atp".

Method Detail

### connect

    public void connect()
                 throws java.io.IOException

  Make a comminucation link with the destination.
  Overrides:
    `connect` in class `java.net.URLConnection`
  Throws:
    `java.io.IOException` - if can not make a communication link.

### getHeaderField

    public java.lang.String getHeaderField(java.lang.String key)

  Overrides:
    `getHeaderField` in class `java.net.URLConnection`

### getHeaderField

    public java.lang.String getHeaderField(java.lang.String key,
                                           java.lang.String defValue)

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Get an input stream of the communication link.
  Overrides:
    `getInputStream` in class `java.net.URLConnection`
  Returns:
    an input stream.
  Throws:
    `java.io.IOException` - if the communication link has a problem.

### getRequestProperty

    public java.lang.String getRequestProperty(java.lang.String key)

  Overrides:
    `getRequestProperty` in class `java.net.URLConnection`

### setRequestProperty

    public void setRequestProperty(java.lang.String key,
                                   java.lang.String value)

  Overrides:
    `setRequestProperty` in class `java.net.URLConnection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD